summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-10-03 11:13:42 -0400
committerTim Harder <radhermit@gentoo.org>2016-10-03 14:05:55 -0400
commit81e0f859e7514f7d8765558abdc7d0810ab236a4 (patch)
tree61d0d61b9c857440d0f24bb8ebd1c4c952cd1f0b /net-irc/weechat
parentdev-lang/swi-prolog: EAPI 5 bump (diff)
downloadgentoo-81e0f859e7514f7d8765558abdc7d0810ab236a4.tar.gz
gentoo-81e0f859e7514f7d8765558abdc7d0810ab236a4.tar.bz2
gentoo-81e0f859e7514f7d8765558abdc7d0810ab236a4.zip
net-irc/weechat: version bump to 1.6
Diffstat (limited to 'net-irc/weechat')
-rw-r--r--net-irc/weechat/Manifest1
-rw-r--r--net-irc/weechat/weechat-1.6.ebuild138
-rw-r--r--net-irc/weechat/weechat-9999.ebuild4
3 files changed, 141 insertions, 2 deletions
diff --git a/net-irc/weechat/Manifest b/net-irc/weechat/Manifest
index 59f075e095b..0edd0e900c6 100644
--- a/net-irc/weechat/Manifest
+++ b/net-irc/weechat/Manifest
@@ -1,2 +1,3 @@
DIST weechat-1.4.tar.bz2 2464362 SHA256 e06d9949ccececdd9692c95c41304c2f7fe9ec47b5eedd0d0a8529f6a3c1ddd4 SHA512 4c4bf25da513c25a16b24d94c1a6971db12d5cf168c83aa97570ffff53c634f7b25e92f1dbe54fefd09eeb69ece9ddc4be115bb6f6fc078ef7682dcb1df21f04 WHIRLPOOL 1db202131c1cd68e0f436f2e316ad73d0887d48533c417c1446a671bc620fdaaedb6198ac23876d62a51458ab55231d528635fc4e7fa2aa0067c60f656e3d6e5
DIST weechat-1.5.tar.bz2 2546183 SHA256 326e27c4f0548a7c6f21302516356f1e9e3541262b31058e37181f95205c8c58 SHA512 8999ffd4f5034f973f790bf7e0e6b1bacd73ab588d7dce7dcbea15861efb766510d1a2f722b9fa86b52a8345aef37918f3c949b85a0451e19485cee4e76d45b2 WHIRLPOOL 51f91af5fccfe242712f5e21a9934d75747ca2a2ea31bd25194c6a37ba32e3dc519eb46da13fdf15f6483c2cc9bc0a80a1a6f296c0f31069b0339fe4fad6d5c3
+DIST weechat-1.6.tar.bz2 2558398 SHA256 73eca5212fadb7056f5f72d9dfc96453dea0342c963d1f1ca36c84def5653c34 SHA512 ff0666904eae180f7091f475fade089128999ab1736e0e4a64ff79139eecb14f091d830be3110b75ec50ce85472bbf49343606ec827959d7711a19a33bfd4059 WHIRLPOOL 39c07b6797fd634bfd1394308e6abf62eb13bf2b4fcdbd2516ee123474b177d783ea3a5559279b954344601f48af917d3bf51e6d28c6a80efb565827868173f8
diff --git a/net-irc/weechat/weechat-1.6.ebuild b/net-irc/weechat/weechat-1.6.ebuild
new file mode 100644
index 00000000000..d54cbdc1837
--- /dev/null
+++ b/net-irc/weechat/weechat-1.6.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit python-single-r1 cmake-utils
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/weechat/weechat.git"
+else
+ SRC_URI="https://weechat.org/files/src/${P}.tar.bz2"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Portable and multi-interface IRC client"
+HOMEPAGE="http://weechat.org/"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+NETWORKS="+irc"
+PLUGINS="+alias +charset +exec +fifo +logger +relay +scripts +spell +trigger +xfer"
+# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
+SCRIPT_LANGS="guile lua +perl +python ruby tcl"
+LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
+IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+
+RDEPEND="
+ dev-libs/libgcrypt:0=
+ net-misc/curl[ssl]
+ sys-libs/ncurses:0=
+ sys-libs/zlib
+ charset? ( virtual/libiconv )
+ guile? ( >=dev-scheme/guile-2.0 )
+ lua? ( dev-lang/lua:0[deprecated] )
+ nls? ( virtual/libintl )
+ perl? ( dev-lang/perl )
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( || ( dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) )
+ ssl? ( net-libs/gnutls )
+ spell? ( app-text/aspell )
+ tcl? ( >=dev-lang/tcl-8.4.15:0= )
+"
+DEPEND="${RDEPEND}
+ doc? (
+ >=dev-ruby/asciidoctor-1.5.4
+ dev-util/source-highlight
+ )
+ nls? ( >=sys-devel/gettext-0.15 )
+ test? ( dev-util/cpputest )
+"
+
+DOCS="AUTHORS.adoc ChangeLog.adoc Contributing.adoc ReleaseNotes.adoc README.adoc"
+
+# tests need to be fixed to not use system plugins if weechat is already installed
+RESTRICT="test"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.2-tinfo.patch )
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # fix libdir placement
+ sed -i \
+ -e "s:lib/:$(get_libdir)/:g" \
+ -e "s:lib\":$(get_libdir)\":g" \
+ CMakeLists.txt || die "sed failed"
+
+ # install only required translations
+ local i
+ for i in ${LANGS} ; do
+ if ! use linguas_${i} ; then
+ sed -i \
+ -e "/${i}.po/d" \
+ po/CMakeLists.txt || die
+ fi
+ done
+
+ # install only required documentation ; en always
+ for i in $(grep add_subdirectory doc/CMakeLists.txt \
+ | sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
+ if ! use linguas_${i} ; then
+ sed -i \
+ -e '/add_subdirectory('${i}')/d' \
+ doc/CMakeLists.txt || die
+ fi
+ done
+
+ # install docs in correct directory
+ sed -i "s#\${SHAREDIR}/doc/\${PROJECT_NAME}#\0-${PV}/html#" doc/*/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_NCURSES=ON
+ -DENABLE_LARGEFILE=ON
+ -DENABLE_JAVASCRIPT=OFF
+ -DENABLE_ALIAS=$(usex alias)
+ -DENABLE_DOC=$(usex doc)
+ -DENABLE_CHARSET=$(usex charset)
+ -DENABLE_EXEC=$(usex exec)
+ -DENABLE_FIFO=$(usex fifo)
+ -DENABLE_GUILE=$(usex guile)
+ -DENABLE_IRC=$(usex irc)
+ -DENABLE_LOGGER=$(usex logger)
+ -DENABLE_LUA=$(usex lua)
+ -DENABLE_NLS=$(usex nls)
+ -DENABLE_PERL=$(usex perl)
+ -DENABLE_PYTHON=$(usex python)
+ -DENABLE_RELAY=$(usex relay)
+ -DENABLE_RUBY=$(usex ruby)
+ -DENABLE_SCRIPTS=$(usex scripts)
+ -DENABLE_SCRIPT=$(usex scripts)
+ -DENABLE_ASPELL=$(usex spell)
+ -DENABLE_GNUTLS=$(usex ssl)
+ -DENABLE_TCL=$(usex tcl)
+ -DENABLE_TESTS=$(usex test)
+ -DENABLE_TRIGGER=$(usex trigger)
+ -DENABLE_XFER=$(usex xfer)
+ )
+
+ if use python; then
+ python_export PYTHON_LIBPATH
+ mycmakeargs+=(
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_LIBRARY="${PYTHON_LIBPATH}"
+ )
+ fi
+
+ cmake-utils_src_configure
+}
diff --git a/net-irc/weechat/weechat-9999.ebuild b/net-irc/weechat/weechat-9999.ebuild
index f6822c1e3d6..d54cbdc1837 100644
--- a/net-irc/weechat/weechat-9999.ebuild
+++ b/net-irc/weechat/weechat-9999.ebuild
@@ -3,7 +3,7 @@
# $Id$
EAPI=6
-PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
CMAKE_MAKEFILE_GENERATOR=emake
inherit python-single-r1 cmake-utils
@@ -12,7 +12,7 @@ if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/weechat/weechat.git"
else
SRC_URI="https://weechat.org/files/src/${P}.tar.bz2"
- KEYWORDS="~amd64 ~ppc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+ KEYWORDS="~amd64"
fi
DESCRIPTION="Portable and multi-interface IRC client"